# env
# Written in 2019-2020 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.
.POSIX:
.SUFFIXES:

PREFIX=	$(HOME)

DIRS=	fontconfig herbstluftwm mpv

install:
	mkdir -p $(PREFIX)/.config
	cp -fR $(DIRS) $(PREFIX)/.config

diff:
	-for d in $(DIRS); do for f in "$$d"/*; do \
		diff -u "$$f" $(PREFIX)/.config/"$$f"; \
	done; done

uninstall:
	cd $(PREFIX)/.config && rm -fr $(DIRS)
